Subject: RE: Question about Interface ID length

From: "Barany, Pete" <[email-masked]>
Date: Wed, 17 Dec 2003 09:55:27 -0800

Brian,

Thanks for the reply/clarification regarding RFC 2462bis.

But what about the terminology used for anycast addresses in both RFC
3513 (and RFC 3513bis)(e.g., the Subnet-Router anycast address) and RFC
2526 (e.g., the MIPv6 Home-Agents anycast address)?

According to Section 2.6 in RFC 3513:
----
"Anycast addresses are allocated from the unicast address space, using
any of the defined unicast address formats.  Thus, anycast addresses are
syntactically indistinguishable from unicast addresses".
----

So are we to assume that the following statement from Section 2.5.1 in
RFC 3513 does not apply to anycast addresses? (and I understand that the
statement below specifically says "unicast"):
----
For all unicast addresses, except those that start with binary value
000, Interface IDs are required to be 64 bits long and to be constructed
in Modified EUI-64 format."
----

Regards,

Pete

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Brian Haberman
Sent: Wednesday, December 17, 2003 3:28 AM
To: Barany, Pete
Cc: [email-masked]
Subject: Re: Question about Interface ID length

Pete,
      2462bis does not contain any changes as of yet.  The document
exists currently to document the issues that need to be addressed.
So, the point on IID length should be addressed in 2462bis at some
point.

Brian

Barany, Pete wrote:

> Hi,
> 
> --> For the RFC 2462bis I-D there was a list of issues sent out during
> Oct. 2003 and one of the issues was:
> -----
> "If RFC2462 requires 64bit IFID
> by several people, several times."
> 
> So far in the RFC 2462bis I-D the answer appears to be "No" since no
> changes in the I-D indicate otherwise.
> -----
> 
> --> Referring to RFC 3513 (and now also RFC 3513bis), the following
> statement is made in Section 2.5.1:
> -----
> "For all unicast addresses, except those that start with binary value
> 000, Interface IDs are required to be 64 bits long and to be
constructed
> in Modified EUI-64 format."
> 
> So here it appears that the answer to the question in RFC 2461bis
should
> be "Yes"?
> -----
> 
> --> There seems to be an inconsistency here. I am concerned that this
> issue may also have ramifications for other RFCs. For example, in RFC
> 2526, the following statement is made in Section 2:
> -----
> "For other IPv6 address types (that is, with format prefixes other
than
> those listed above), the interface identifier is not in EUI-64 format
> and may be other than 64 bits in length; these reserved subnet anycast
> addresses for such address types are constructed as follows:"
> |              n bits             |    121-n bits    |   7 bits   |
> +---------------------------------+------------------+------------+
> |           subnet prefix         | 1111111...111111 | anycast ID |
> +---------------------------------+------------------+------------+
>                                   |   interface identifier field  |
> -----
> 
> --> How is this to be resolved? Thanks.
> 
> Regards,
> 
> Pete
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Barany, Pete" <[email-masked]>
Date: Sat, 20 Dec 2003 09:00:52 -0800

More generally, I still don't see why there is a restriction on the
prefix length for all IPv6 unicast addresses where the first 3 MSBs are
other than 000. I could understand the wording in RFC 3513 (and RFC
3513bis) if the restriction was intended for "unicast addresses that are
configured via stateless address autoconfiguration" (thus my initial
comment about the need to update RFC 2462bis). But some operators may
want to use DHCPv6 (stateful address autoconfiguration) where there is
no concept of prefixes per se (just 128 bit addresses). Therefore, as an
example, if an operator wanted to have a /65 subnet(or some other subnet
where the prefix is greater than /64) (and I am not saying that this is
a good idea), at least the RFCs wouldn't prohibit it in the
present/future. It seems like an unnecessary/unwise limitation IMHO.

Regards,

Pete

-----Original Message-----
From: Brian Haberman [mailto:[email-masked]] 
Sent: Saturday, December 20, 2003 8:52 AM
To: Stephen Sprunk
Cc: Barany, Pete; [email-masked]
Subject: Re: Question about Interface ID length

I would suggest reading RFC 3627.

Regards,
Brian

Stephen Sprunk wrote:

> Thus spake "Barany, Pete" <[email-masked]>
> 
>>... RFC 3513 ... Section 2.5.1:
>>-----
constructed
>>... RFC 2526 ... Section 2:
>>-----
than
> Different angle...
> RFC 3513 and RFC 2526 both seem to outlaw* the common and logical
practice
> of using /127 networks (and thus a 1-bit Interface ID) for
point-to-point
> and tunnel links, because the IID isn't long enough and there's no
space for
> the 7-bit anycast ID, respectively.  Can we put some sort of exception
for
> /127 networks in the RFC updates?
> 
> * at least in format prefix 001, which is what operators will want to
use.
> 
> S
> 
> Stephen Sprunk         "God does not play dice."  --Albert Einstein
> CCIE #3723         "God is an inveterate gambler, and He throws the
> K5SSS        dice at every possible opportunity." --Stephen Hawking
> 
>